## NAME

g.gui - Launches a GRASS graphical user interface (GUI) session.

## KEYWORDS

general, gui

## SYNOPSIS

g.gui
g.gui help
g.gui [-un] [gui=string] [workspace=name] [--verbose] [--quiet]

### Flags:

-u
  Update default GUI setting
-n
  Do not launch GUI after updating the default GUI setting
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

gui=string
  GUI type
  Default value: GRASS_GUI if defined, otherwise wxpython
  Options: wxpython,tcltk,oldtcltk,text
  wxpython: wxPython based GUI - wxGUI
  tcltk: Tcl/Tk based GUI - GIS Manager (gis.m)
  oldtcltk: Old Tcl/Tk based GUI - Display Manager (d.m)
  text: command line interface only
workspace=name
  Name of workspace file

## DESCRIPTION

This program allows user to start a selected graphical user interface (GUI) from the command line prompt.

Currently three different GUIs are supported:

- tcltk - Current Tcl/Tk based GUI aka the gis.m GIS Manager
- oldtcltk - Old Tcl/Tk based GUI aka the d.m Display Manager
- wxpython - New wxPython based GUI aka wxGUI

If the -u update flag is given or the g.gisenv `GRASS_GUI` variable is missing, then the `GRASS_GUI` variable is permanently changed and the selected GUI will be used as the default UI from then on.

## NOTES

Valid values for GRASS_GUI are `text`, `tcltk`, `oldtcltk`, and `wxpython`. g.gisenv variables are stored in the user's home directory in a hidden file called "`.grassrc6`". They are not shell environment variables and the "rc" file is not a classic UNIX run command file, it just contains persistent GRASS variables and is not executed.

## EXAMPLE

Set the command line to be the default UI:

    g.gui text

## SEE ALSO

wxPython based new generation GUI, wxGUI wiki-page
Tcl/Tk based GIS Manager (gis.m),
Tcl/Tk based Display Manager (d.m),
g.gisenv, GRASS variables list

## AUTHORS

Martin Landa, FBK-irst, Trento, Italy
Hamish Bowman, Otago University, Dunedin, New Zealand (fine tuning)

Last changed: $Date: 2013-04-15 06:24:55 +0200 (po, 15 IV 2013) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team